System.Web 2.0.0.0 System.Enum

The enumeration is used to represent the different types of buttons (such as command button, image button, link button, and so on) that can be rendered on an ASP.NET page. It is commonly used by properties such as the property of the class to indicate which button type is being used by the parent control.

Specifies the different types of buttons that can be rendered in a Web Forms page.

- Field
  System.Web.UI.WebControls.ButtonType

  A command button.

  2.0.0.0
- Field
  System.Web.UI.WebControls.ButtonType

  A button that displays an image.

  2.0.0.0
- Field
  System.Web.UI.WebControls.ButtonType

  A hyperlink-style button.

  2.0.0.0